X2Go Bug report logs - #742
Executing parec seems unnecessary now that X2Go Client for Windows 4.0.3.0 uses PulseAudio 5.0

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: "George Trakatelis" <trakatelis@uom.edu.gr>

Date: Wed, 14 Jan 2015 19:10:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.3.0

Fixed in version 4.0.3.2

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Wed, 14 Jan 2015 19:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Jan 2015 19:10:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: <submit@bugs.x2go.org>
Cc: "'Michael DePaulo'" <mikedep333@gmail.com>
Subject: Executing parec seems unnecessary now that X2Go Client for Windows 4.0.3.0 uses PulseAudio 5.0
Date: Wed, 14 Jan 2015 21:05:46 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.3.0

When trying to figure out why I get 
'Object::connect: No such slot ONMainWindow::slotSndTunOk(int)' 
in the debugging output of X2Go Client for Windows 4.0.3.0, 
I bumped onto a common error: 
Argument mismatch between function call and function definition. 
That prevents slotSndTunOk() from ever executing. 

slotStartParec() depends on slotSndTunOk() to execute parec. 
Executing parec was needed due to a PulseAudio's bug as explained in 
http://x2go-dev.x2go.narkive.com/wNgRoxTO/parec

One peculiar thing is that after fixing that mismatch, 
which enabled parec to execute, 
x2goclient became extremely sluggish. 
The only way to revert things back to normal 
was to prevent parec from ever executing. 
It seems that parec in not needed now that X2Go Client uses PulseAudio 5.0.

The attached patch saves x2goclient from calling slotStartParec() 
once per second unnecessarily. 

Dept. of Applied Informatics, University of Macedonia
George Trakatelis
[disable-calling-parec.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Thu, 15 Jan 2015 09:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Jan 2015 09:05:02 GMT) (full text, mbox, link).


Message #10 received at 742@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: George Trakatelis <trakatelis@uom.edu.gr>, 742@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#742: Executing parec seems unnecessary now that X2Go Client for Windows 4.0.3.0 uses PulseAudio 5.0
Date: Thu, 15 Jan 2015 09:04:18 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 patch

Hi George, hi Mike#2,

On  Mi 14 Jan 2015 20:05:46 CET, George Trakatelis wrote:

> When trying to figure out why I get
> 'Object::connect: No such slot ONMainWindow::slotSndTunOk(int)'
> in the debugging output of X2Go Client for Windows 4.0.3.0,
> I bumped onto a common error:
> Argument mismatch between function call and function definition.
> That prevents slotSndTunOk() from ever executing.
>
> slotStartParec() depends on slotSndTunOk() to execute parec.
> Executing parec was needed due to a PulseAudio's bug as explained in
> http://x2go-dev.x2go.narkive.com/wNgRoxTO/parec
>
> One peculiar thing is that after fixing that mismatch,
> which enabled parec to execute,
> x2goclient became extremely sluggish.
> The only way to revert things back to normal
> was to prevent parec from ever executing.
> It seems that parec in not needed now that X2Go Client uses PulseAudio 5.0.
>
> The attached patch saves x2goclient from calling slotStartParec()
> once per second unnecessarily.

thanks for providing this patch, George.

@Mike#2: I know that the component owner concept is not yet in  
place... But do you feel like taking over bug triaging for X2Go Client  
completely (as offered in one of your previous mails). If no, please  
me (and others) no via x2go-project ML (because then we need to find a  
way of triaging X2Go Client bugs ASAP). If you still volunteer for  
this task, feel free to ping me for feedback whenever needed.

From now on, I will hold my feet still for incoming patches if they  
don't address pyhoca-gui, pyhoca-cli, python-x2go, x2gobroker or  
nx-libs. I will be so free and tag bugs with "patch" whenever I spot a  
bug that ships a patch.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 742-submit@bugs.x2go.org. (Thu, 15 Jan 2015 09:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Sat, 24 Jan 2015 23:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 24 Jan 2015 23:35:02 GMT) (full text, mbox, link).


Message #17 received at 742@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 742@bugs.x2go.org, George Trakatelis <trakatelis@uom.edu.gr>
Cc: Stefan Baur <x2go-ml-1@baur-itcs.de>
Subject: Re: [X2Go-Dev] Bug#742: Bug#742: Executing parec seems unnecessary now that X2Go Client for Windows 4.0.3.0 uses PulseAudio 5.0
Date: Sat, 24 Jan 2015 18:30:16 -0500
Hi guys,

1st, sorry for not replying earlier. Right now I am trying to manage
my inbox better. Ever since I subscribed to the fedora-devel-list &
cygwin lists, my inbox has been overloaded.

On Thu, Jan 15, 2015 at 4:04 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Control: tag -1 patch
>
> Hi George, hi Mike#2,
>
> On  Mi 14 Jan 2015 20:05:46 CET, George Trakatelis wrote:
>
>>[...]
>>
>> The attached patch saves x2goclient from calling slotStartParec()
>> once per second unnecessarily.
> thanks for providing this patch, George.

Thanks!

I'll test the patch for regressions. If there are none, I will commit it.
(I will however delete that 1 line rather than comment it out.)

> @Mike#2: I know that the component owner concept is not yet in place... But
> do you feel like taking over bug triaging for X2Go Client completely (as
> offered in one of your previous mails). If no, please me (and others) no via
> x2go-project ML (because then we need to find a way of triaging X2Go Client
> bugs ASAP). If you still volunteer for this task, feel free to ping me for
> feedback whenever needed.
>
> From now on, I will hold my feet still for incoming patches if they don't
> address pyhoca-gui, pyhoca-cli, python-x2go, x2gobroker or nx-libs. I will
> be so free and tag bugs with "patch" whenever I spot a bug that ships a
> patch.
>
> Mike
[...]

Yes, I'll take over this role.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Sun, 25 Jan 2015 00:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 25 Jan 2015 00:15:02 GMT) (full text, mbox, link).


Message #22 received at 742@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 742@bugs.x2go.org, George Trakatelis <trakatelis@uom.edu.gr>
Subject: Re: [X2Go-Dev] Bug#742: Bug#742: Executing parec seems unnecessary now that X2Go Client for Windows 4.0.3.0 uses PulseAudio 5.0
Date: Sat, 24 Jan 2015 19:11:48 -0500
Control: close -1 4.0.3.2

On Sat, Jan 24, 2015 at 6:30 PM, Michael DePaulo <mikedep333@gmail.com> wrote:
[...]
>> On  Mi 14 Jan 2015 20:05:46 CET, George Trakatelis wrote:
>>
>>>[...]
>>>
>>> The attached patch saves x2goclient from calling slotStartParec()
>>> once per second unnecessarily.
>> thanks for providing this patch, George.
>
> Thanks!
>
> I'll test the patch for regressions. If there are none, I will commit it.
> (I will however delete that 1 line rather than comment it out.)

I tested it successfully on XP 32-bit and on Windows 8.1 64-bit. So I
applied it (after deleting that one commented out line.)

Also, I did not bother to update the changelog because I feel this is
a very minor change, and I do not want to bombard users with too many
details in the changelog. I will confirm on x2go-project that doing so
is OK.

Thanks,

-Mike#2


Marked as fixed in versions 4.0.3.2. Request was from Michael DePaulo <mikedep333@gmail.com> to 742-submit@bugs.x2go.org. (Sun, 25 Jan 2015 00:15:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Michael DePaulo <mikedep333@gmail.com> to 742-submit@bugs.x2go.org. (Sun, 25 Jan 2015 00:15:02 GMT) (full text, mbox, link).


Notification sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug acknowledged by developer. (Sun, 25 Jan 2015 00:15:02 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 25 Jan 2015 00:20:02 GMT) (full text, mbox, link).


Bug reopened Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 25 Jan 2015 00:50:02 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.0.3.2. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 25 Jan 2015 00:50:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Sun, 25 Jan 2015 01:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 25 Jan 2015 01:00:02 GMT) (full text, mbox, link).


Message #39 received at 742@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 742@bugs.x2go.org
Subject: This should be pending now
Date: Sat, 24 Jan 2015 19:55:45 -0500
fixed #742 4.0.3.2


Marked as fixed in versions 4.0.3.2. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 25 Jan 2015 01:10:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Sun, 25 Jan 2015 14:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 25 Jan 2015 14:55:02 GMT) (full text, mbox, link).


Message #46 received at 742@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 742-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 742@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sun, 25 Jan 2015 15:52:49 +0100 (CET)
tag #742 pending
fixed #742 4.0.3.2
thanks

Hello,

X2Go issue #742 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fd1151e

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fd1151e48ad325c18857f1d3daceb5b8e5edda9d
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sun Jan 25 09:52:38 2015 -0500

    Update Changelog about #742

diff --git a/debian/changelog b/debian/changelog
index 9e4d06b..e50be3b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -58,6 +58,10 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
       functionality, not the SSH server functionality.
       0.6.4 also added 4 features related to ECDSA keys.
     - Windows: Fix compatibility with PulseAudio 6.0
+    - Windows: Remove workaround for audio input with old versions of
+      PulseAudio (calling parec once per second)
+      (Fixes: #742)
+      Thanks George Trakatelis (uom.edu.gr) for submitting this change.
     - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
       (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
       Note that the official builds are still build under MinGW.


Message sent on to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug#742. (Sun, 25 Jan 2015 14:55:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Tue, 27 Jan 2015 22:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 27 Jan 2015 22:25:01 GMT) (full text, mbox, link).


Message #54 received at 742@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: "'Mike DePaulo'" <mikedep333@gmail.com>, <ionic@ionic.de>
Cc: <742@bugs.x2go.org>
Subject: RE: Bug#742: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 28 Jan 2015 00:22:14 +0200
Hi Mike#2 and Mihai, 

I just traced x2goclient's code back and found that 
the last release of x2goclient for Windows that executed parec was 3.99.2.2. 
The programming error I'm referring to was introduced in release 3.99.3.0.  
From then on, parec never had the chance to execute. 
In fact, executing it makes x2goclient really slow. 

So, to be precise, this fix removes an unnecessary endless check 
testing if it's time to execute parec. 
I don't know if it's worth mentioning it and 
I don't have a clue about the implications (if any) of the error 
back in November 2012 (when x2goclient 3.99.3.0 was out). 

George

> -----Original Message-----
> From: Mike DePaulo [mailto:mikedep333@gmail.com]
> Sent: Sunday, January 25, 2015 4:53 PM
> To: 742-submitter@bugs.x2go.org
> Cc: control@bugs.x2go.org; 742@bugs.x2go.org
> Subject: Bug#742: X2Go issue (in src:x2goclient) has been marked as
> pending for release
> 
> tag #742 pending
> fixed #742 4.0.3.2
> thanks
> 
> Hello,
> 
> X2Go issue #742 (src:x2goclient) reported by you has been fixed in X2Go
> Git. You can see the changelog below, and you can check the diff of the
> fix at:
> 
>     http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fd1151e
> 
> The issue will most likely be fixed in src:x2goclient (4.0.3.2).
> 
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
> 
> ---
> commit fd1151e48ad325c18857f1d3daceb5b8e5edda9d
> Author: Mike DePaulo <mikedep333@gmail.com>
> Date:   Sun Jan 25 09:52:38 2015 -0500
> 
>     Update Changelog about #742
> 
> diff --git a/debian/changelog b/debian/changelog index 9e4d06b..e50be3b
> 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -58,6 +58,10 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED;
> urgency=medium
>        functionality, not the SSH server functionality.
>        0.6.4 also added 4 features related to ECDSA keys.
>      - Windows: Fix compatibility with PulseAudio 6.0
> +    - Windows: Remove workaround for audio input with old versions of
> +      PulseAudio (calling parec once per second)
> +      (Fixes: #742)
> +      Thanks George Trakatelis (uom.edu.gr) for submitting this
> change.
>      - Windows: Enable X2Go Client for Windows to build under VS2010
> nmake
>        (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in
> limitation)
>        Note that the official builds are still build under MinGW.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#742; Package x2goclient. (Thu, 19 Feb 2015 12:00:11 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Feb 2015 12:00:12 GMT) (full text, mbox, link).


Message #59 received at 742@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 742-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 742@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 19 Feb 2015 12:58:00 +0100 (CET)
close #742
thanks

Hello,

we are very hopeful that X2Go issue #742 reported by you
has been resolved in the new release (4.0.3.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3b7ca68412005521d45d9751a370549ab1c80e58;hp=5290218751cc68a1fc1711ebd169e195eb3daeed

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.2-0x2go1
Status: RELEASE
Date: Thu, 19 Feb 2015 12:49:22 +0100
Fixes: 616 642 681 702 705 713 720 742 781 782
Changes: 
 x2goclient (4.0.3.2-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.2):
     - Fix placement of session folders in session card column. (Fixes: #681).
     - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
     - Fix multiple creations of modmap timer (OS_DARWIN).
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):
     - Add several info/error/debug log message while hunting down #702.
     - Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication
       to assure that X2Go Client does not arbitrarily exit during a running
       session. This fixes X2Go Client crashes that occur when printing via
       the CUPS-X2Go printing mechanism with activate print dialog popup on
       incoming print jobs and minimized main window. (Fixes: #702).
     - Be more exact when reporting rev forwarding tunnel request failures to
       the GUI user. Include the purpose of the tunnel (NX, audio, foldersharing)
       in the error message.
     - Enable debugging in sshprocess.cpp and sshmasterconnection.cpp if
       --debug is given.
     - sshmasterconnection.cpp: Fix several grammar issues in error messages.
     - When sharing a client-side folder, do not write the SSH pub key to
       client-side authorized_keys file if the folder-to-be-shared does not
       exist on the client. (Partially solves #405).
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
     - Fix quotes when calling remote commands via SSH (esp. allow same quoting/
       escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).
     - FIXME: Disable PubkeyAuthentication _and_ PasswordAuthentication if
       GSSAPI authentication is activated. This is counter intuitive, though,
       and requires several other fixes in the authentication code.
   * x2goclient.spec:
     - Always set BuildRoot: parameter.
 .
   [ Sergey Savko ]
   * New upstream release (4.0.3.2):
     - Prevent passwordless re-logins into X2Go Session Broker if
       --broker-autologoff is used on the cmdline. (Fixes: #782).
     - Add new cmdline option --broker-noauth-use-session-username.
       When --broker-noauth is used, the broker does not know on behalf
       of which user to operate. This new option enables username syncing.
       When logging into X2Go Server, that username will be sent to the
       broker and be used for querying X2Go Broker Agents etc. (Fixes: #781).
 .
   [ Heinrich Schuchardt ]
   * New upstream release (4.0.3.2):
     - Base the layout dialogue "Session ID" (which shows up when starting a
       connection) on typographic points (instead of pixels). (Fixes: #713).
 .
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):
     - Use QUrl::toPercentEncoding() method to properly encode passwords sent
       to X2Go Session Broker. (Fixes: #705).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.2):
     - Windows: Win32 OpenSSL updates from 1.0.1j to 1.0.1L, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Cygwin OpenSSL updated from 1.0.1j-1 to 1.0.1k-1, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Bundle new version of VcXsrv: 1.15.2.2-xp+vc2013+x2go1.
       The differences from 1.15.2.1-xp+vc2013+x2go1 are that its bundled
       OpenSSL has been updated to 1.0.1k, and that xorg-server
       CVE-2014-8091..8103 have been fixed.
     - Windows: Update libssh from 0.6.3 to 0.6.4 (while maintaining
       Pageant support). This fixes CVE-2014-8132, which shouldn't
       affect x2goclient because x2goclient uses the SSH client
       functionality, not the SSH server functionality.
       0.6.4 also added 4 features related to ECDSA keys.
     - Windows: Fix compatibility with PulseAudio 6.0
     - Windows: Remove workaround for audio input with old versions of
       PulseAudio (calling parec once per second)
       (Fixes: #742)
       Thanks George Trakatelis (uom.edu.gr) for submitting this change.
     - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
       (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
       Note that the official builds are still build under MinGW.
       (Fixes: #642)
       Thanks George Trakatelis (uom.edu.gr) for submitting this feature.
     - Windows: Make builds easier, and updating bundled dependencies
       easier, by adding copy-deps-win32.bat. It copies the exact
       version of each dependency (DLL, executable, data, folder, etc)
       from x2goclient-contrib.git.
 .
   [ Kaan Ozdincer ]
   * New upstream version (4.0.3.2):
     - Add Turkish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 19 Feb 2015 12:00:18 GMT) (full text, mbox, link).


Notification sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug acknowledged by developer. (Thu, 19 Feb 2015 12:00:18 GMT) (full text, mbox, link).


Message sent on to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug#742. (Thu, 19 Feb 2015 12:00:36 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 20 Mar 2015 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Aug 23 10:12:41 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.